Add support for TLS 1.1 and TLS 1.2 on Service Bus for Windows Server 1.1

Applies to: Service Bus for Windows Server

Summary


Service Bus for Windows Server 1.1 supports only Transport Layer Security (TLS) 1.0. This update enables support for TLS 1.1 and TLS 1.2, and also updates dependencies to a newer version of Service Fabric.

Notes

  • Service Bus for Windows Server 1.1 CU1 is a prerequisite for Service Bus for Windows Server 1.1 with TLS 1.2.
  • Do not extract the MSI file to install directly from the file. This is not supported. The update must be installed by using Microsoft Web Platform Installer. This can be obtained from the Microsoft /web website.
  • We recommend that you test this update before you deploy it in a production environment.
  • This fix is tested or supported for Microsoft SQL Server 2012, Microsoft SQL Server 2016, Windows Server 2012 and Windows Server 2016.

Features added in this update

  • Added support for TLS 1.1 and TLS 1.2.
  • Updated dependency of Service Fabric (Windows Fabric) to a newer version.

Issues fixed in this update

  • Creating the same name of a subscription in a message forwarding scenario may cause the messages to be processed incorrectly.

How to get this update


A supported installer package is now available from Microsoft. This update is available for download in the "Download information" section. 

Service Bus Server 1.1 with TLS 1.2 Support Installer package information

Download information

The following files are available for download from the Microsoft Download Center. However, the installer must be installed by using the  Microsoft Web Platform Installer. To get the installer, go to Download Microsoft Web Platform.

Index

Language

Installer URL

1

EN

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/en/Service_Bus.msi

2

ES

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/es/Service_Bus.msi

3

JA

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/ja/Service_Bus.msi

4

DE

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/de/Service_Bus.msi

5

FR

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/fr/Service_Bus.msi

6

IT

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/it/Service_Bus.msi

7

KO

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/ko/Service_Bus.msi

8

PT-BR

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/pt-br/Service_Bus.msi

9

RU

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/ru/Service_Bus.msi

10

ZH-CN

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/zh-chs/Service_Bus.msi

11

ZH-TW

http://download.microsoft.com/download/C/F/E/CFEA5E4D-11DB-45E1-8676-815284BE7F7D/1.1-TLS12/zh-cht/Service_Bus.msi

For more information about how to download Microsoft support files, see How to obtain Microsoft support files from online services.

Microsoft scanned this file for viruses. Microsoft used the most current virus-detection software that was available on the date that the file was posted. The file is stored on security-enhanced servers that help prevent any unauthorized changes to the file.

More Information


Prerequisites for Service Bus for Windows Server 1.1 with TLS 1.2 Support

To get more information about Service Bus for Windows Server 1.1 and how to install it, see the Getting Started with Service Bus for Windows Server 1.1 documentation.

Software requirements

  • Service Bus for Windows Server 1.1 CU1 must be installed on the computer.
  • PowerShell 3.0 must be installed on the computer. PowerShell 3.0 is included in the Windows Management Framework 3.0 installation. To install this update, go to Windows Management Framework 3.0.
  • KB 2858668 is required by Service Fabric for Windows Server 2012.
  • Service Bus for Windows Server 1.1 with TLS 1.2 support must be installed on the computer to support the new TLS1.1 and TLS1.2 feature.
  • SQL Server 2012 Service Pack 4, SQL Server 2014 Service Pack 3, SQL Server 2016 or SQL Server 2017 must be installed if used in combination with SharePoint.
  • SQL Server 2012 Service Pack 4 must be installed if used outside of SharePoint.

SQL version

If you are using later version of SQL server than SQL Server 2014, for example: SQL Server 2016, then you must change the compatibility model of the databases to version 120. This is due to compatibility with datetime2 date type conversion. You can change compatibility level with below commands. In case you have custom database names you need to change to your specific database names.

Please see here for more information on database compatibility: 

Supported operating systems

  • Windows Server 2012, Windows Server 2012 R2, Windows Server 2016 Standard or Datacenter and Windows Server 2019 Standard or Datacenter.

Service Account requirements

To be able to setup the services to start-up properly, the Service Account that is used to run Service Bus needs to have local administrator privileges at least the first time the services are started. 

Dependent services requirements

When the services are being configured or started, they need access to the Windows Firewall service and the Performance Logs & Alerts service. You must ensure that you have these services enabled on the server. You can add exclusions instead if you don't require firewall rules. 

Credential requirements

Before you run the executable, you must have administrative credentials on the computer on which you are installing the software. For more information, see the Service Bus Server documentation.

Deployment

This installer must be installed on each computer that uses a Service Bus for Windows Server host in a computer farm.
 

New farm setup

  1. Install .NET Framework 4.6.2.
  2. Install the Visual C++ runtime distribution (by using Web Platform Installer (WebPI)).
  3. Install the Service Fabric 5.1 (by using WebPI).
  4. Install the Service Bus for Windows Server 1.1 with TLS 1.2 support (by using WebPI).
  5. Configure Service Bus farm as it was configured before the upgrade.
     

Upgrade from existing farm

  1. Back up the database. Then take the system offline.
  2. Remove all servers from the farm.
  3. Uninstall Service Bus for Windows 1.1 CU1.
  4. Uninstall Windows Fabric 1.0.
  5. Upgrade SQL Server 2012 to support TLS 1.2.
  6. Install .NET Framework 4.6.2.
  7. Install the Visual C++ runtime distribution (by using WebPI).
  8. Install the Service Fabric 5.1 (by using WebPI).
  9. Install Service Bus for Windows Server 1.1 with TLS 1.2 support. (by using WebPI)
  10. Run the Invoke-SBFarmUpgrade cmdlet.
  11. Rejoin all servers to the farm.
     

Database changes

Some minimal database changes occur when this update is installed. If you decide to uninstall this update, these database changes are backward-compatible and will not be rolled back.
 

Restart requirement

You may have to restart the computer after you apply this update.

References


Learn about the terminology that Microsoft uses to describe software updates.